diff -ru PyWebDAV-0.9~/DAV/WebDAVServer.py PyWebDAV-0.9/DAV/WebDAVServer.py
--- PyWebDAV-0.9~/DAV/WebDAVServer.py	2009-05-01 13:28:05.000000000 +0200
+++ PyWebDAV-0.9/DAV/WebDAVServer.py	2009-05-01 13:56:59.000000000 +0200
@@ -218,6 +218,13 @@
             lm="Sun, 01 Dec 2014 00:00:00 GMT"  # dummy!
         headers={"Last-Modified":lm}
 
+        # get the ETag
+        try:
+            etag = dc.get_prop(uri, "DAV:", "getetag")
+            headers['ETag'] = etag
+        except:
+            pass
+
         # get the content type
         try:
             ct=dc.get_prop(uri,"DAV:","getcontenttype")
@@ -249,6 +256,13 @@
 
         headers={"Last-Modified":lm}
 
+        # get the ETag
+        try:
+            etag = dc.get_prop(uri, "DAV:", "getetag")
+            headers['ETag'] = etag
+        except:
+            pass
+
         # get the content type
         try:
             ct=dc.get_prop(uri,"DAV:","getcontenttype")
